# -----------------------------------------
# Endroid - XMPP Bot
# Copyright 2012, Ensoft Ltd.
# Created by Jonathan Millican
# -----------------------------------------

from endroid.pluginmanager import Plugin

class Speak(Plugin):
    name = "speak"
    
    def dependencies(self):
        return ['endroid.plugins.command']
    
    def enInit(self):
        com = self.get('endroid.plugins.command')
        com.register_chat(self.do_speak, 'speak', '<tojid> <message>')
        com.register_chat(self.do_many_speak, 'repeat', '<count> <tojid> <message>')
    
    def do_speak(self, msg, args):
        tojid, text = self.split(args)
        if tojid in self.usermanagement.users.available:
            self.messagehandler.send_chat(tojid, text, msg.sender)
        else:
            msg.reply("You can't send messages to that user. Sorry.")

    def do_many_speak(self, msg, args):
        count, tojid, text = args.split(' ', 2)
        if tojid in self.usermanagement.users.available:
            for i in range(int(count)):
                self.messagehandler.send_chat(tojid, text, msg.sender)
        else:
            msg.reply("You can't send messages to that user. Sorry.")
    
    def split(self, message):
        if message.count(' ') == 0:
            return (message, '')
        else:
            return message.split(' ', 1)

    def help(self):
        return ("Speak allows you to speak as EnDroid. Don't abuse it\n"
                "Command syntax: speak <tojid> <message>")

def get_plugin():
    return Speak()
