# -----------------------------------------
# Endroid - XMPP Bot
# Copyright 2012, Ensoft Ltd.
# Created by Jonathan Millican
# -----------------------------------------

from endroid.pluginmanager import Plugin

class WhosOnline(Plugin):
    name = "whosonline"
    dependencies = ('endroid.plugins.command',)
    help = "What? No. My name's not important. You must come with me, or you'll be late."
    
    def endroid_init(self):
        com = self.get('endroid.plugins.command')
        com.register_muc(self.show_online, 'whosonline')
        com.register_chat(self.show_online, 'whosonline')
        com.register_muc(self.show_rooms_in, 'listrooms')
        com.register_chat(self.show_rooms_in, 'listrooms')
    
    def show_online(self, msg, arg):
        msg.reply(self.online_list())
    
    def online_list(self):
        return '\n' + '\n'.join(self.usermanagement.get_available_users())
    
    def show_rooms_in(self, msg, arg):
        rooms = self.usermanagement.get_available_rooms() or ["I'm not in any rooms!"]
        msg.reply('\n' + '\n'.join(rooms))
